org.apache.ignite.internal.management.tx

## Class TxInfoCommand

- java.lang.Object
- - org.apache.ignite.internal.management.tx.TxInfoCommand

All Implemented Interfaces:
  Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>, LocalCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>

    public class TxInfoCommand
    extends Object
    implements LocalCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`TxInfoCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<TxInfoCommandArg>` `argClass()`
`String` `description()` Command description.
`Map<ClusterNode,TxTaskResult>` `execute(@Nullable GridClient cli, @Nullable Ignite ignite, TxCommand.AbstractTxCommandArg arg0, Consumer<String> printer)` Executes command logic.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### TxInfoCommand

    public TxInfoCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`

#### argClass

    public Class<TxInfoCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Returns:
  Arguments class.

#### execute

    public Map<ClusterNode,TxTaskResult> execute(@Nullable
                                                 @Nullable GridClient cli,
                                                 @Nullable
                                                 @Nullable Ignite ignite,
                                                 TxCommand.AbstractTxCommandArg arg0,
                                                 Consumer<String> printer)
                                          throws GridClientException

Executes command logic. Commands invoked in two different environments:

- CLI utility using `GridClient` connection to interact with cluster.
- Inside `Ignite` node therefore local node can be used to interact with cluster.

Please, keep in mind that `GridClient` protocol is obsolete and can be removed in future releases.

Specified by:
  `execute` in interface `LocalCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Parameters:
  `cli` - Optional grid client instance.
  `ignite` - Optional ignite node.
  `arg0` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `GridClientException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023